(function () {
    "use strict";

    angular.module('core').factory('faturaReceberService', factory);
    factory.$inject = ['$http', '$q'];

    function factory($http, $q) {

        return {
            get: function (id) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/get', id)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAll: function (args) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/getall', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            count: function (args) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/count', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getTituloReceber: function (id) {
                var args = { id: id };
                var deferred = $q.defer();
                $http.post('/faturaReceber/getTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllTituloReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/getAllTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            countTituloReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/countTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            totalizeTituloReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/totalizeTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getLiquidacaoTituloReceber: function (id) {
                var args = { id: id };
                var deferred = $q.defer();
                $http.post('/faturaReceber/getLiquidacaoTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllLiquidacaoTituloReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/getAllLiquidacaoTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            countLiquidacaoTituloReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/countLiquidacaoTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            prepareNew: function () {
                var deferred = $q.defer();
                $http.post('/faturaReceber/prepareNew')
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            prepare: function (item) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/prepare', item)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            prepareNewTituloReceber: function (item) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/prepareNewTituloReceber', item)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            prepareTituloReceber: function (item) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/prepareTituloReceber', item)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            prepareNewLiquidacaoTituloReceber: function (item) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/prepareNewLiquidacaoTituloReceber', item)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            prepareLiquidacaoTituloReceber: function (item) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/prepareLiquidacaoTituloReceber', item)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            save: function (item) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/save', item)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            delete: function (id) {
                var args = { id: id };
                var deferred = $q.defer();
                $http.post('/faturaReceber/delete', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            saveTituloReceber: function (item) {
                var deferred = $q.defer();
                $http.post('/faturaReceber/saveTituloReceber', item)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            deleteTituloReceber: function (id) {
                var args = { id: id };
                var deferred = $q.defer();
                $http.post('/faturaReceber/deleteTituloReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
        };
    }

})();


